Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Common DOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.views
Interface DocumentView

    public interface DocumentView

The `DocumentView` interface is implemented by `Document` objects in DOM implementations supporting DOM Views. It provides an attribute to retrieve the default view of a document.

See also the Document Object Model (DOM) Level 2 Views Specification.

Since:
  DOM Level 2

Method Summary
`AbstractView` | `getDefaultView()` The default `AbstractView` for this `Document`, or `null` if none available.

Method Detail

### getDefaultView

    AbstractView getDefaultView()

  The default `AbstractView` for this `Document`, or `null` if none available.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Common DOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 2004 Sun Microsystems, Inc. 4150 Network Circle
Santa Clara, California, 95054, U.S.A. All Rights Reserved.